D4Science Infrastructure - Task #404
Configure JackRabbit with a reverse proxy over ssl

Jul 21, 2015 08:53 PM - Andrea Dell'’Amico

Status: Closed Start date: Jul 21, 2015
Priority: Normal Due date:

Assignee: Valentina Marioli % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: System Configuration

Infrastructure: Production

Description

¢ An apache webserver configured as reverse proxy needs to be configured

¢ A valid x509 certificate for workspace-repository.d4science.org
¢ Close direct accesses to the tomcat port

History

#1 - Jul 21, 2015 08:55 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 80

The web proxy is active.

It was not possible to close the tomcat http port because the portal servers need to talk with it with RMI.

I need the list of portals IP addresses to setup a local firewall.

#2 - Jul 22, 2015 02:49 PM - Valentina Marioli
Here a complete list:

i-marine.d4science.org

services.d4science.org

egip.d4science.org

descramble.d4science.org

bionym.d4science.org
pc-marioli.isti.cnr.it (146.48.87.214)

#3 - Jul 22, 2015 05:54 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

The iptables rules are now active. Let me know if the portals still work correctly.

#4 - Jul 24, 2015 01:00 PM - Massimiliano Assante

- Assignee changed from Andrea Dell'’Amico to Valentina Marioli

Valentina che you please provide feedback con this?

#5 - Jul 24, 2015 01:43 PM - Valentina Marioli
- Status changed from Feedback to Closed

The portals are still working correctly. This ticket can be closed.
